Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance.timer
Class TimerManager.ProcessJobContext

    java.lang.Object
      org.jbpm.process.instance.timer.TimerManager.ProcessJobContext

All Implemented Interfaces:
  Serializable, org.drools.core.time.JobContext

Direct Known Subclasses:
  TimerManager.StartProcessJobContext

Enclosing class:
  TimerManager

    public static class TimerManager.ProcessJobContext

extends Object
implements org.drools.core.time.JobContext

See Also:
  Serialized Form

Constructor Summary
`TimerManager.ProcessJobContext(TimerInstance timer, org.drools.core.time.Trigger trigger, Long processInstanceId, org.drools.core.common.InternalKnowledgeRuntime kruntime)`

Method Summary
`org.drools.core.time.JobHandle` | `getJobHandle()`
`org.drools.core.common.InternalKnowledgeRuntime` | `getKnowledgeRuntime()`
`Long` | `getProcessInstanceId()`
`Integer` | `getSessionId()`
`TimerInstance` | `getTimer()`
`org.drools.core.time.Trigger` | `getTrigger()`
`void` | `setJobHandle(org.drools.core.time.JobHandle jobHandle)`
`void` | `setKnowledgeRuntime(org.drools.core.common.InternalKnowledgeRuntime kruntime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimerManager.ProcessJobContext

    public TimerManager.ProcessJobContext(TimerInstance timer,
                                          org.drools.core.time.Trigger trigger,
                                          Long processInstanceId,
                                          org.drools.core.common.InternalKnowledgeRuntime kruntime)

Method Detail

### getProcessInstanceId

    public Long getProcessInstanceId()

### getKnowledgeRuntime

    public org.drools.core.common.InternalKnowledgeRuntime getKnowledgeRuntime()

### getTrigger

    public org.drools.core.time.Trigger getTrigger()

### getJobHandle

    public org.drools.core.time.JobHandle getJobHandle()

  Specified by:
    `getJobHandle` in interface `org.drools.core.time.JobContext`

### setJobHandle

    public void setJobHandle(org.drools.core.time.JobHandle jobHandle)

  Specified by:
    `setJobHandle` in interface `org.drools.core.time.JobContext`

### getTimer

    public TimerInstance getTimer()

### getSessionId

    public Integer getSessionId()

### setKnowledgeRuntime

    public void setKnowledgeRuntime(org.drools.core.common.InternalKnowledgeRuntime kruntime)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.